Bug 19841 - After the latest changes in Sys.Web XSP no longer serves files and ASP.NET is broken (no response)
Summary: After the latest changes in Sys.Web XSP no longer serves files and ASP.NET is...
Status: NEEDINFO
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Web (show other bugs)
Version: master
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-05-16 03:45 UTC by Dylan Borg
Modified: 2014-05-29 01:41 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 19841 on GitHub or Developer Community if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: GitHub Markdown or Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
NEEDINFO

Description Dylan Borg 2014-05-16 03:45:51 UTC
I was testing XSP (from git) against the latest mono code. ASP.NET no longer works and XSP no longer serves static files. The browser keeps waiting until it times out.
Comment 1 Dylan Borg 2014-05-16 12:18:18 UTC
I tested with an MVC/WebAPI app. The Application_Start code does not even get executed.
Comment 2 Dylan Borg 2014-05-16 14:43:03 UTC
I also tested with mono 3.4.0 from the tarball. in this case xsp worked fine even when used thru mod_mono
Comment 3 Dylan Borg 2014-05-20 10:14:11 UTC
fixed
Comment 4 Dylan Borg 2014-05-20 10:14:41 UTC
this bug was fixed when the settings,map file was fixed due to another bug fix
Comment 5 Dylan Borg 2014-05-28 15:07:43 UTC
I am again observing the incorrect behaviour with the latest mono from master.
Comment 6 Miguel de Icaza [MSFT] 2014-05-28 18:10:22 UTC
Works for me.

So I suspect this is limited to some platform, and we are going to need way more details than the above
Comment 7 Dylan Borg 2014-05-29 01:41:53 UTC
What details exactly?